org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_TEXTAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_TEXTAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_TEXTAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_TEXTAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_TEXTAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_TEXTAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindCols(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindEditable(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindMaxlength(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindPlaceholder(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindRows(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindValue(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindValuestate(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `bindWrapping(IDynamicContentBindingObject value)`
    `UI5M_TEXTAREANode` | `setActionListener(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setAttributemacro(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setCols(int value)`
    `UI5M_TEXTAREANode` | `setCols(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setComment(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setConfiginfo(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setEditable(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setEnabled(boolean value)`
    `UI5M_TEXTAREANode` | `setEnabled(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setFlush(boolean value)`
    `UI5M_TEXTAREANode` | `setFlush(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setHeight(int value)`
    `UI5M_TEXTAREANode` | `setHeight(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setId(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setLayoutdata(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setMaxlength(int value)`
    `UI5M_TEXTAREANode` | `setMaxlength(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setPlaceholder(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setReference(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setRendered(boolean value)`
    `UI5M_TEXTAREANode` | `setRendered(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setRows(int value)`
    `UI5M_TEXTAREANode` | `setRows(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setStyleseq(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setStylevariant(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setValue(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setValuestate(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setWidth(int value)`
    `UI5M_TEXTAREANode` | `setWidth(java.lang.String value)`
    `UI5M_TEXTAREANode` | `setWrapping(boolean value)`
    `UI5M_TEXTAREANode` | `setWrapping(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_TEXTAREANode

          public UI5M_TEXTAREANode()

  - ### Method Detail

    - #### setId

          public UI5M_TEXTAREANode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_TEXTAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_TEXTAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_TEXTAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_TEXTAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_TEXTAREANode setAttributemacro(java.lang.String value)

    - #### setCols

          public UI5M_TEXTAREANode setCols(java.lang.String value)

    - #### bindCols

          public UI5M_TEXTAREANode bindCols(IDynamicContentBindingObject value)

    - #### setCols

          public UI5M_TEXTAREANode setCols(int value)

    - #### setComment

          public UI5M_TEXTAREANode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_TEXTAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_TEXTAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_TEXTAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEditable

          public UI5M_TEXTAREANode setEditable(java.lang.String value)

    - #### bindEditable

          public UI5M_TEXTAREANode bindEditable(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_TEXTAREANode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_TEXTAREANode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_TEXTAREANode setEnabled(boolean value)

    - #### setFlush

          public UI5M_TEXTAREANode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_TEXTAREANode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_TEXTAREANode setFlush(boolean value)

    - #### setHeight

          public UI5M_TEXTAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_TEXTAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_TEXTAREANode setHeight(int value)

    - #### setLayoutdata

          public UI5M_TEXTAREANode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_TEXTAREANode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaxlength

          public UI5M_TEXTAREANode setMaxlength(java.lang.String value)

    - #### bindMaxlength

          public UI5M_TEXTAREANode bindMaxlength(IDynamicContentBindingObject value)

    - #### setMaxlength

          public UI5M_TEXTAREANode setMaxlength(int value)

    - #### setPlaceholder

          public UI5M_TEXTAREANode setPlaceholder(java.lang.String value)

    - #### bindPlaceholder

          public UI5M_TEXTAREANode bindPlaceholder(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_TEXTAREANode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_TEXTAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_TEXTAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_TEXTAREANode setRendered(boolean value)

    - #### setRows

          public UI5M_TEXTAREANode setRows(java.lang.String value)

    - #### bindRows

          public UI5M_TEXTAREANode bindRows(IDynamicContentBindingObject value)

    - #### setRows

          public UI5M_TEXTAREANode setRows(int value)

    - #### setStyleseq

          public UI5M_TEXTAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_TEXTAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_TEXTAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_TEXTAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValue

          public UI5M_TEXTAREANode setValue(java.lang.String value)

    - #### bindValue

          public UI5M_TEXTAREANode bindValue(IDynamicContentBindingObject value)

    - #### setValuestate

          public UI5M_TEXTAREANode setValuestate(java.lang.String value)

    - #### bindValuestate

          public UI5M_TEXTAREANode bindValuestate(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TEXTAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_TEXTAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TEXTAREANode setWidth(int value)

    - #### setWrapping

          public UI5M_TEXTAREANode setWrapping(java.lang.String value)

    - #### bindWrapping

          public UI5M_TEXTAREANode bindWrapping(IDynamicContentBindingObject value)

    - #### setWrapping

          public UI5M_TEXTAREANode setWrapping(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.